org.jboss.jca.embedded.dsl.datasources10.api

## Interface StatementType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface StatementType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `statementType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getPreparedStatementCacheSize()` Returns the `prepared-statement-cache-size` element
    `TrackStatementsType` | `getTrackStatements()` Returns the `track-statements` element
    `java.lang.String` | `getTrackStatementsAsString()` Returns the `track-statements` element
    `java.lang.Boolean` | `isSharePreparedStatements()` Removes the `share-prepared-statements` element
    `StatementType<T>` | `preparedStatementCacheSize(java.lang.Integer preparedStatementCacheSize)` Sets the `prepared-statement-cache-size` element
    `StatementType<T>` | `removePreparedStatementCacheSize()` Removes the `prepared-statement-cache-size` element
    `StatementType<T>` | `removeSharePreparedStatements()` Removes the `share-prepared-statements` element
    `StatementType<T>` | `removeTrackStatements()` Removes the `track-statements` attribute
    `StatementType<T>` | `sharePreparedStatements()` Sets the `share-prepared-statements` element
    `StatementType<T>` | `trackStatements(java.lang.String trackStatements)` Sets the `track-statements` element
    `StatementType<T>` | `trackStatements(TrackStatementsType trackStatements)` Sets the `track-statements` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### trackStatements

          StatementType<T> trackStatements(TrackStatementsType trackStatements)

      Sets the `track-statements` element
      Parameters:
        `trackStatements` - the value for the element `track-statements`
      Returns:
        the current instance of `StatementType`

    - #### trackStatements

          StatementType<T> trackStatements(java.lang.String trackStatements)

      Sets the `track-statements` element
      Parameters:
        `trackStatements` - the value for the element `track-statements`
      Returns:
        the current instance of `StatementType`

    - #### getTrackStatements

          TrackStatementsType getTrackStatements()

      Returns the `track-statements` element
      Returns:
        the value found for the element `track-statements`

    - #### getTrackStatementsAsString

          java.lang.String getTrackStatementsAsString()

      Returns the `track-statements` element
      Returns:
        the value found for the element `track-statements`

    - #### removeTrackStatements

          StatementType<T> removeTrackStatements()

      Removes the `track-statements` attribute
      Returns:
        the current instance of `StatementType`

    - #### preparedStatementCacheSize

          StatementType<T> preparedStatementCacheSize(java.lang.Integer preparedStatementCacheSize)

      Sets the `prepared-statement-cache-size` element
      Parameters:
        `preparedStatementCacheSize` - the value for the element `prepared-statement-cache-size`
      Returns:
        the current instance of `StatementType`

    - #### getPreparedStatementCacheSize

          java.lang.Integer getPreparedStatementCacheSize()

      Returns the `prepared-statement-cache-size` element
      Returns:
        the node defined for the element `prepared-statement-cache-size`

    - #### removePreparedStatementCacheSize

          StatementType<T> removePreparedStatementCacheSize()

      Removes the `prepared-statement-cache-size` element
      Returns:
        the current instance of `StatementType`

    - #### sharePreparedStatements

          StatementType<T> sharePreparedStatements()

      Sets the `share-prepared-statements` element
      Returns:
        the current instance of `StatementType`

    - #### isSharePreparedStatements

          java.lang.Boolean isSharePreparedStatements()

      Removes the `share-prepared-statements` element
      Returns:
        the current instance of `StatementType`

    - #### removeSharePreparedStatements

          StatementType<T> removeSharePreparedStatements()

      Removes the `share-prepared-statements` element
      Returns:
        the current instance of `StatementType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)